Bug 137873 - buffer tabs are mixed up
buffer tabs are mixed up
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: xemacs (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-11-02 09:07 EST by David Woodhouse
Modified: 2007-11-30 17:10 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-01-19 13:36:36 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Upstream buffer tabs patch (3.23 KB, patch)
2005-08-04 16:29 EDT, Ville Skyttä
no flags Details | Diff

  None (edit)
Description David Woodhouse 2004-11-02 09:07:13 EST
Description of problem:
xemacs will often get its buffer tabs confused when multiple files are
open, after a period of activity. One filename will appear twice in
the set of tabs, and selecting one of its instances will in fact give
you the buffer of a different file. 

The 'Buffers' menu works fine.

How reproducible:

Sometimes.

Steps to Reproduce:
1. Open lots of files
2. Close lots of files
3. Click on a filename tab, be confused at getting the wrong file
Comment 1 Ville Skyttä 2005-08-04 16:29:09 EDT
Created attachment 117481 [details]
Upstream buffer tabs patch

Here's an upstream patch I found on xemacs-patches, dunno if it addresses the
issues you're seeing.  I don't remember witnessing it.

I've been running with this applied for a while, and at least I have a feeling
it has got rid of my buffer tabs flickering when lots of files are open in a
long running XEmacs session.

It'd be great if you could test this and report back how it affects the buffer
tabs for you.  Let me know if you want this in a form of a prebuilt package for
some arch.

Another problem which smells distantly related is that with many files open,
switching between buffers doesn't always update the corresponding task bar
entry for the window (I'm using KDE).  The window title seems to stay in sync
in these cases though.
Comment 2 Christian Iseli 2007-01-19 02:20:14 EST
This bug hasn't been updated in a long time and targets FE devel.
Could you please check that it still occurs with current FE devel and update
accordingly ?

Thanks.
Comment 3 David Woodhouse 2007-01-19 08:06:54 EST
Sorry, I'm not using xemacs any more -- I've reverted to emacs 22.
Comment 4 Ville Skyttä 2007-01-19 13:36:36 EST
The patch from comment 1 is included in recent upstream 21.5.x releases and thus
FE6+ and I still haven't witnessed these problems, so assuming fixed.

Note You need to log in before you can comment on or make changes to this bug.